Package org.apache.datasketches.quantilescommon

# Class IncludeMinMax.LongsPair

java.lang.Object
org.apache.datasketches.quantilescommon.IncludeMinMax.LongsPair

Enclosing class:
  `IncludeMinMax`

public static class IncludeMinMax.LongsPair extends Object
A simple structure to hold a pair of arrays

## Field Summary

Fields
Modifier and Type
Field
Description
`long[]`
`cumWeights`
the array of associated cumulative weights
`long[]`
`quantiles`
the array of quantiles

## Constructor Summary

Constructors
Constructor
Description
`LongsPair(long[] quantiles, long[] cumWeights)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### quantiles

public long[] quantiles
the array of quantiles

### cumWeights

public long[] cumWeights
the array of associated cumulative weights

## Constructor Details

### LongsPair

public LongsPair(long[] quantiles, long[] cumWeights)
Constructor.

Parameters:
  `quantiles` - the array of quantiles
  `cumWeights` - the array of associated cumulative weights